%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A MPD client focusing on low footprint for Xfce
Name:		xfmpc
Version:	0.3.2
Release:	%mkrel 2
License:	BSD-like
Group:		Graphical desktop/Xfce
Url:		https://goodies.xfce.org/projects/applications/%{name}
Source0:	https://archive.xfce.org/src/apps/xfmpc/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libmpd)
Requires:	mpd

%description
A MPD client focusing on low footprint for Xfce desktop environment.

%prep
%autosetup -p1

%build
%xdt_autogen
%configure \
  --disable-static
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS IDEAS NEWS README* THANKS ChangeLog
%license COPYING
%{_bindir}/xfmpc
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.3.2-2.mga10
+ Revision: 2232936
- Mageia 10 Mass Rebuild

* Thu Dec 26 2024 wally <wally> 0.3.2-1.mga10
+ Revision: 2130288
- new version 0.3.2

* Sat Aug 10 2024 wally <wally> 0.3.1-2.mga10
+ Revision: 2085272
- fix build with GCC14

* Sun Apr 23 2023 wally <wally> 0.3.1-1.mga9
+ Revision: 1954403
- new version 0.3.1

* Sun Apr 03 2022 umeabot <umeabot> 0.3.0-3.mga9
+ Revision: 1841587
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1526774
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jun 29 2019 wally <wally> 0.3.0-1.mga8
+ Revision: 1415564
- new version 0.3.0

* Sun Mar 31 2019 wally <wally> 0.2.90-1.mga7
+ Revision: 1383681
- new version 0.2.90
- switch to gtk3
- require mpd

* Sun Sep 23 2018 umeabot <umeabot> 0.2.3-2.mga7
+ Revision: 1301900
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 wally <wally> 0.2.3-1.mga7
+ Revision: 1161686
- new version 0.2.3

* Tue Feb 09 2016 umeabot <umeabot> 0.2.2-8.mga6
+ Revision: 952491
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.2.2-7.mga5
+ Revision: 817525
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-6.mga5
+ Revision: 747608
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-5.mga5
+ Revision: 690650
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.2-4.mga4
+ Revision: 520525
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2.2-3.mga3
+ Revision: 386916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 wally <wally> 0.2.2-2.mga3
+ Revision: 249409
- rebuild for new libxfce4util

* Sun Mar 04 2012 wally <wally> 0.2.2-1.mga2
+ Revision: 218138
- clean .spec
- imported package xfmpc


* Thu Oct 27 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.2-1mdv2012.0
+ Revision: 707444
- update to new version 0.2.2
- fix url for source0

* Sun May 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1
+ Revision: 672534
- update to new version 0.2.1
- add missing buildrequires

* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-4
+ Revision: 633062
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-3mdv2011.0
+ Revision: 579668
- rebuild for new xfce 4.7.0

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-2mdv2010.1
+ Revision: 543315
- rebuild for mdv 2010.1

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 432952
- update to new version 0.2.0

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 0.1.0-1mdv2010.0
+ Revision: 379437
- rebuild for new mpd

* Mon Apr 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2009.1
+ Revision: 364416
- update to new version 0.1.0

* Sun Mar 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.7-2mdv2009.1
+ Revision: 352876
- rebuild for xfce-4.6.0

* Tue Aug 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.7-1mdv2009.0
+ Revision: 276257
- update to new version 0.0.7

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 0.0.6-2mdv2009.0
+ Revision: 269797
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.6-1mdv2009.0
+ Revision: 198091
- new version

* Tue Apr 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.5-1mdv2009.0
+ Revision: 192381
- new version

* Sun Feb 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.3-1mdv2008.1
+ Revision: 174137
- new release
- add desktop file
- add sources and spec file
- Created package structure for xfmpc.

